import 'dart:io';
import 'dart:ui';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';


class Constants {
  // 单例
  static Constants instance = Constants();

  // 屏幕信息
  static MediaQueryData mediaQueryData = MediaQueryData.fromWindow(window);
  static double screenWidth = mediaQueryData.size.width;
  static double screenHeight = mediaQueryData.size.height;
  static double paddingBottom = mediaQueryData.padding.bottom;
  static double paddingTop = mediaQueryData.padding.top;
  static String COOKIE = "Cookie";
  static String PHONE = "phone";
  static String USER_NAME = "userName";
  static String HEAD_IMAGE = "headImage";
  static String FIRST = "first";

  static String appKey() {
    if (Platform.isIOS) {
      return "107214826";
    } else {
      return "116336298";
    }
  }

  static String bannerPosid() {
    if (Platform.isIOS) {
      return "168669740243";
    } else {
      return "180267310187";
    }
  }

  static String fullScreenPosid() {
    if (Platform.isIOS) {
      return "173953718785";
    } else {
      return "142342383021";
    }
  }

  static String interPosid() {
    if (Platform.isIOS) {
      return "154912134850";
    } else {
      return "165146217096";
    }
  }

  static String nativePosid() {
    if (Platform.isIOS) {
      return "146720652181";
    } else {
      return "174659539155";
    }
  }

  static String splashPosid() {
    if (Platform.isIOS) {
      return "145038525743";
    } else {
      return "142824430044";
    }
  }

  static String rewardPosid() {
    if (Platform.isIOS) {
      return "135662354637";
    } else {
      return "165689670210";
    }
  }

}
